### Method

# AppStream Pool get_components_by_provided_item

#### Declaration [src]

    AsComponentBox*
    as_pool_get_components_by_provided_item (
      AsPool* pool,
      AsProvidedKind kind,
      const gchar* item
    )

#### Description [src]

Find components in the AppStream data pool which provide a certain item. Provided items of type `AS_PROVIDED_KIND_MODALIAS` may contain wildcards, which are matched against the searched item as well.

#### Parameters

`kind`

  Type: `AsProvidedKind`

  An `AsProvidesKind`.

`item`

  Type: `const gchar*`

  The value of the provided item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox` of found components.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.